edu.sc.seis.sod.validator.model

## Class StAXModelBuilder

- java.lang.Object
- - edu.sc.seis.sod.validator.model.StAXModelBuilder

- All Implemented Interfaces:
    javax.xml.stream.XMLStreamConstants

      public class StAXModelBuilder
      extends java.lang.Object
      implements javax.xml.stream.XMLStreamConstants

- - ### Field Summary

    - ### Fields inherited from interface javax.xml.stream.XMLStreamConstants

      `ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StAXModelBuilder(java.lang.String relaxLoc)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `extractSubstructure()`
    `static java.util.Collection<Definition>` | `getAllDefinitions()`
    `Form` | `getRoot()`
    `void` | `whatIs()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StAXModelBuilder

          public StAXModelBuilder(java.lang.String relaxLoc)
                           throws javax.xml.stream.XMLStreamException,
                                  java.io.IOException

      Throws:
        `javax.xml.stream.XMLStreamException`
        `java.io.IOException`

  - ### Method Detail

    - #### whatIs

          public void whatIs()

    - #### extractSubstructure

          public java.lang.String extractSubstructure()
                                               throws javax.xml.stream.XMLStreamException

      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### getRoot

          public Form getRoot()

    - #### getAllDefinitions

          public static java.util.Collection<Definition> getAllDefinitions()